Subject: Re: bug#47747: 28.0.50; `eval-defun' may evaluate previous sexp

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 29 Jun 2022 13:06:09 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> If there are no forms after point, it'll eval the form before point --
> and it's been that way for as long as I can remember, so I think the doc
> string is just wrong here.
>
> Does anybody else have an opinion here?  Would it make sense to have the
> command signal an error if there's no forms at or after point?

Nobody had an opinion, so I updated the doc string to reflect what it
does in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no